## Apache Zeta Components Manual :: Docs For Class ezcTreeXmlInternalDataStore

### Tree::ezcTreeXmlInternalDataStore

### Class ezcTreeXmlInternalDataStore

ezcTreeXmlInternalDataStore is an implementation of a tree node data store that stores node information in child elements of the XML elements containing the tree nodes.

Source for this file: /Tree/src/stores/xml_internal.php

### Implements interfaces:

- ezcTreeXmlDataStore

Version: | //autogentag//

### Member Variables

protected DOMDocument | `$dom` Contains the DOM representing this tree this data store stores data for.

### Method Summary

public void | `deleteDataForAllNodes( )` Deletes the data for all the nodes in the store.
public void | `deleteDataForNodes( $nodeList )` Deletes the data for all the nodes in the node list $nodeList.
public void | `fetchDataForNode( $node )` Retrieves the data for the node $node from the data store and assigns it to the node's 'data' property.
public void | `fetchDataForNodes( $nodeList )` Retrieves the data for all the nodes in the node list $nodeList and assigns this data to the nodes' 'data' properties.
public void | `setDomTree( $dom )` Associates the DOM tree for which this data store stores data for with this store.
public void | `storeDataForNode( $node )` Stores the data in the node to the data store.

### Methods

#### deleteDataForAllNodes

void deleteDataForAllNodes( )

Deletes the data for all the nodes in the store.

##### Implementation of:

Method | Description
--- | ---
`ezcTreeDataStore::deleteDataForAllNodes()` | Deletes the data for all the nodes in the store.

#### deleteDataForNodes

void deleteDataForNodes( ezcTreeNodeList $nodeList )

Deletes the data for all the nodes in the node list $nodeList.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$nodeList` | ezcTreeNodeList |

##### Implementation of:

Method | Description
--- | ---
`ezcTreeDataStore::deleteDataForNodes()` | Deletes the data for all the nodes in the node list $nodeList.

#### fetchDataForNode

void fetchDataForNode( ezcTreeNode $node )

Retrieves the data for the node $node from the data store and assigns it to the node's 'data' property.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | ezcTreeNode |

##### Implementation of:

Method | Description
--- | ---
`ezcTreeDataStore::fetchDataForNode()` | Retrieves the data for the node $node from the data store and assigns it to the node's 'data' property.

#### fetchDataForNodes

void fetchDataForNodes( ezcTreeNodeList $nodeList )

Retrieves the data for all the nodes in the node list $nodeList and assigns this data to the nodes' 'data' properties.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$nodeList` | ezcTreeNodeList |

##### Implementation of:

Method | Description
--- | ---
`ezcTreeDataStore::fetchDataForNodes()` | Retrieves the data for all the nodes in the node list $nodeList and assigns this data to the nodes' 'data' properties.

#### setDomTree

void setDomTree( $dom )

Associates the DOM tree for which this data store stores data for with this store.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$dom` | DOMDocument |

##### Implementation of:

Method | Description
--- | ---
`ezcTreeXmlDataStore::setDomTree()` | Associates the DOM tree for which this data store stores data for with this store.

#### storeDataForNode

void storeDataForNode( ezcTreeNode $node )

Stores the data in the node to the data store.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | ezcTreeNode |

##### Implementation of:

Method | Description
--- | ---
`ezcTreeDataStore::storeDataForNode()` | Stores the data in the node to the data store.

Documentation generated by phpDocumentor 1.4.3